# Interface AnnotationValue.OfString

All Superinterfaces:
  `AnnotationValue`, `AnnotationValue.OfConstant`

Enclosing interface:
  `AnnotationValue`

public static sealed interface AnnotationValue.OfString extends AnnotationValue.OfConstant
Models a string value of an element-value pair. The tag of this value is s.

Since:
  24

- ## Nested Class Summary

  ### Nested classes/interfaces declared in interface java.lang.classfile.AnnotationValue

  `AnnotationValue.OfAnnotation, AnnotationValue.OfArray, AnnotationValue.OfBoolean, AnnotationValue.OfByte, AnnotationValue.OfChar, AnnotationValue.OfClass, AnnotationValue.OfConstant, AnnotationValue.OfDouble, AnnotationValue.OfEnum, AnnotationValue.OfFloat, AnnotationValue.OfInt, AnnotationValue.OfLong, AnnotationValue.OfShort, AnnotationValue.OfString`

- ## Field Summary

  ### Fields declared in interface java.lang.classfile.AnnotationValue

  `TAG_ANNOTATION, TAG_ARRAY, TAG_BOOLEAN, TAG_BYTE, TAG_CHAR, TAG_CLASS, TAG_DOUBLE, TAG_ENUM, TAG_FLOAT, TAG_INT, TAG_LONG, TAG_SHORT, TAG_STRING`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Utf8Entry`
  `constant()`
  Returns the backing UTF8 entry.
  `default String`
  `resolvedValue()`
  Returns the resolved string value.
  `String`
  `stringValue()`
  Returns the constant string value.

  ### Methods declared in interface java.lang.classfile.AnnotationValue

  `tag`

- ## Method Details

  - ### constant

    Utf8Entry constant()
    Returns the backing UTF8 entry.
    Specified by:
      `constant` in interface `AnnotationValue.OfConstant`
    Returns:
      the backing UTF8 entry

  - ### stringValue

    String stringValue()
    Returns the constant string value.
    Returns:
      the constant string value

  - ### resolvedValue

    default String resolvedValue()
    Returns the resolved string value.
    Specified by:
      `resolvedValue` in interface `AnnotationValue.OfConstant`
    Implementation Requirements:
      This method returns the same as `stringValue()`.
    Returns:
      the resolved string value